# 2020-02-07
# changed USB1_xxx signal location to accomodate the ICM_1 to ICM_2 changes
#
# timing constraints
create_clock -period 50.000 -name sys_clk [get_ports QOSC_CLK]
#derive_clock_uncertainty
#create_clock -period 40.000 -name mb_clk [get_ports FPGA_CLK_FBCK]
#
## physical constraints
# bank 34, PACKAGE PINs
#set_property PACKAGE_PIN B6  [get_ports ]
#set_property PACKAGE_PIN L5  [get_ports ]
set_property PACKAGE_PIN C3 [get_ports nRX_LED]
set_property PACKAGE_PIN A3 [get_ports ZYNQ_TXD]
set_property PACKAGE_PIN A4 [get_ports ZYNQ_RXD]
set_property PACKAGE_PIN A2 [get_ports nTX_LED]
set_property PACKAGE_PIN B3 [get_ports ZYNQ_CTS]
set_property PACKAGE_PIN A5 [get_ports WP_nPON]
set_property PACKAGE_PIN B5 [get_ports TERM_FPGA]
set_property PACKAGE_PIN B1 [get_ports ZYNQ_RTS]
#set_property PACKAGE_PIN B2 [get_ports ICM_EXT_GPIN]
#set_property PACKAGE_PIN F2 [get_ports QOSC_SDA]
#set_property PACKAGE_PIN F3 [get_ports QOSC_SCL]
set_property PACKAGE_PIN F1 [get_ports TEST_IO_2]
set_property PACKAGE_PIN G1 [get_ports TEST_IO_3]
set_property PACKAGE_PIN D2 [get_ports TEST_IO_0]
set_property PACKAGE_PIN E2 [get_ports TEST_IO_1]
set_property PACKAGE_PIN C1 [get_ports nLED_ENA]
set_property PACKAGE_PIN D1 [get_ports ICM_ID]
#set_property PACKAGE_PIN F4  [get_ports ]
set_property PACKAGE_PIN G4 [get_ports QOSC_CLK]
set_property PACKAGE_PIN C4 [get_ports nCBL_PLGD]
set_property PACKAGE_PIN C5 [get_ports nTX_LED_EXT]
set_property PACKAGE_PIN E4 [get_ports nRX_LED_EXT]
#
set_property PACKAGE_PIN P5 [get_ports {COM_DAC_DB[11]}]
set_property PACKAGE_PIN N4 [get_ports {COM_DAC_DB[9]}]
set_property PACKAGE_PIN M5 [get_ports COM_DAC_CLOCK]
set_property PACKAGE_PIN L3 [get_ports COM_DAC_SLEEP]
set_property PACKAGE_PIN L2 [get_ports {COM_DAC_DB[3]}]
set_property PACKAGE_PIN P4 [get_ports {COM_DAC_DB[10]}]
set_property PACKAGE_PIN P3 [get_ports {COM_DAC_DB[8]}]
set_property PACKAGE_PIN P2 [get_ports {COM_DAC_DB[7]}]
set_property PACKAGE_PIN N1 [get_ports {COM_DAC_DB[5]}]
set_property PACKAGE_PIN M2 [get_ports {COM_DAC_DB[6]}]
set_property PACKAGE_PIN M1 [get_ports {COM_DAC_DB[4]}]
set_property PACKAGE_PIN L1 [get_ports {COM_DAC_DB[2]}]
set_property PACKAGE_PIN J2 [get_ports {COM_DAC_DB[1]}]
set_property PACKAGE_PIN J1 [get_ports {COM_DAC_DB[0]}]
set_property PACKAGE_PIN H2 [get_ports USB1_TXD_icm1]
set_property PACKAGE_PIN H1 [get_ports USB1_nRTS_icm1]
set_property PACKAGE_PIN H4 [get_ports USB1_RXD_icm1]
set_property PACKAGE_PIN H3 [get_ports USB1_nCTS_icm1]
#
# bank 34, IOSTANDARD
set_property IOSTANDARD LVCMOS33 [get_ports nRX_LED]
set_property IOSTANDARD LVCMOS33 [get_ports nTX_LED]
set_property IOSTANDARD LVCMOS33 [get_ports TERM_FPGA]
set_property IOSTANDARD LVCMOS33 [get_ports ZYNQ_TXD]
set_property IOSTANDARD LVCMOS33 [get_ports ZYNQ_RTS]
set_property IOSTANDARD LVCMOS33 [get_ports ZYNQ_RXD]
set_property IOSTANDARD LVCMOS33 [get_ports ZYNQ_CTS]
set_property IOSTANDARD LVCMOS33 [get_ports nCBL_PLGD]
set_property IOSTANDARD LVCMOS33 [get_ports WP_nPON]
set_property IOSTANDARD LVCMOS33 [get_ports ICM_ID]
set_property IOSTANDARD LVCMOS33 [get_ports nTX_LED_EXT]
set_property IOSTANDARD LVCMOS33 [get_ports nRX_LED_EXT]
#set_property IOSTANDARD LVCMOS33 [get_ports QOSC_SDA]
#set_property IOSTANDARD LVCMOS33 [get_ports QOSC_SCL]
set_property IOSTANDARD LVCMOS33 [get_ports TEST_IO_0]
set_property PULLUP     true     [get_ports TEST_IO_0]
set_property IOSTANDARD LVCMOS33 [get_ports TEST_IO_1]
set_property IOSTANDARD LVCMOS33 [get_ports TEST_IO_2]
set_property IOSTANDARD LVCMOS33 [get_ports TEST_IO_3]
set_property PULLUP     true     [get_ports TEST_IO_3]
set_property IOSTANDARD LVCMOS33 [get_ports nLED_ENA]
set_property IOSTANDARD LVCMOS33 [get_ports QOSC_CLK]
#
set_property IOSTANDARD LVCMOS33 [get_ports {COM_DAC_DB[11]}]
set_property IOSTANDARD LVCMOS33 [get_ports {COM_DAC_DB[9]}]
set_property IOSTANDARD LVCMOS33 [get_ports COM_DAC_CLOCK]
set_property IOSTANDARD LVCMOS33 [get_ports COM_DAC_SLEEP]
set_property IOSTANDARD LVCMOS33 [get_ports {COM_DAC_DB[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {COM_DAC_DB[10]}]
set_property IOSTANDARD LVCMOS33 [get_ports {COM_DAC_DB[8]}]
set_property IOSTANDARD LVCMOS33 [get_ports {COM_DAC_DB[7]}]
set_property IOSTANDARD LVCMOS33 [get_ports {COM_DAC_DB[5]}]
set_property IOSTANDARD LVCMOS33 [get_ports {COM_DAC_DB[6]}]
set_property IOSTANDARD LVCMOS33 [get_ports {COM_DAC_DB[4]}]
set_property IOSTANDARD LVCMOS33 [get_ports {COM_DAC_DB[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {COM_DAC_DB[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {COM_DAC_DB[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports USB1_TXD_icm1]
set_property IOSTANDARD LVCMOS33 [get_ports USB1_nRTS_icm1]
set_property IOSTANDARD LVCMOS33 [get_ports USB1_RXD_icm1]
set_property IOSTANDARD LVCMOS33 [get_ports USB1_nCTS_icm1]
set_property PULLUP     true     [get_ports USB1_TXD_icm1]
set_property PULLDOWN   true     [get_ports USB1_nRTS_icm1]
#
# bank 14, PACKAGE PINs
set_property PACKAGE_PIN E11 [get_ports WP_ADC_DOUT0]
set_property PACKAGE_PIN B12 [get_ports D01_DIN]
set_property PACKAGE_PIN B11 [get_ports D00_MOSI]
set_property PACKAGE_PIN C10 [get_ports D03]
set_property PACKAGE_PIN D10 [get_ports D02]
set_property PACKAGE_PIN C11 [get_ports FLASH_CSn]
#set_property PACKAGE_PIN B10  [get_ports on_GND]
#set_property PACKAGE_PIN A13 [get_ports FPGA_GPIO_2]
#set_property PACKAGE_PIN A12 [get_ports FPGA_GPIO_3]
#set_property PACKAGE_PIN B14 [get_ports FPGA_GPIO_0]
set_property PACKAGE_PIN B13 [get_ports ICM_IRIGB_LOC]
#set_property PACKAGE_PIN C12 [get_ports FPGA_UART_TX]
set_property PACKAGE_PIN A10 [get_ports WP_ADC_nCS1]
#set_property PACKAGE_PIN E12 [get_ports FPGA_UART_RX]
set_property PACKAGE_PIN F12 [get_ports WP_ADC_nCS0]
set_property PACKAGE_PIN D12 [get_ports COM_ADC_CLK_P]
set_property PACKAGE_PIN D13 [get_ports COM_ADC_CLK_N]
set_property PACKAGE_PIN F14 [get_ports COM_ADC_CSBn]
set_property PACKAGE_PIN G14 [get_ports COM_ADC_SCLK]
#set_property PACKAGE_PIN E13  [get_ports ]
#set_property PACKAGE_PIN F13  [get_ports ]
set_property PACKAGE_PIN D14 [get_ports ICM_IRIGB_P]
set_property PACKAGE_PIN C14 [get_ports ICM_IRIGB_N]
set_property PACKAGE_PIN G11 [get_ports ICM_CLOCK_P]
set_property PACKAGE_PIN F11 [get_ports ICM_CLOCK_N]
#
set_property PACKAGE_PIN P10 [get_ports {COM_ADC_D[13]}]
set_property PACKAGE_PIN P11 [get_ports {COM_ADC_D[11]}]
set_property PACKAGE_PIN N10 [get_ports {COM_ADC_D[12]}]
set_property PACKAGE_PIN N11 [get_ports {COM_ADC_D[10]}]
set_property PACKAGE_PIN P12 [get_ports {COM_ADC_D[9]}]
set_property PACKAGE_PIN P13 [get_ports {COM_ADC_D[8]}]
set_property PACKAGE_PIN N14 [get_ports {COM_ADC_D[7]}]
set_property PACKAGE_PIN M14 [get_ports {COM_ADC_D[5]}]
#set_property PACKAGE_PIN M11 [get_ports ]
#set_property PACKAGE_PIN M12 [get_ports ]
#set_property PACKAGE_PIN K11 [get_ports ]
set_property PACKAGE_PIN K12 [get_ports ICM_nMASTER]
set_property PACKAGE_PIN J13 [get_ports {COM_ADC_D[0]}]
set_property PACKAGE_PIN J14 [get_ports {COM_ADC_D[1]}]
#set_property PACKAGE_PIN J11 [get_ports STM_USART_CTS]
set_property PACKAGE_PIN J12 [get_ports WP_ADC_SCLK]
set_property PACKAGE_PIN L12 [get_ports {COM_ADC_D[2]}]
set_property PACKAGE_PIN L13 [get_ports {COM_ADC_D[4]}]
set_property PACKAGE_PIN M13 [get_ports {COM_ADC_D[6]}]
set_property PACKAGE_PIN L14 [get_ports {COM_ADC_D[3]}]
set_property PACKAGE_PIN H13 [get_ports WP_ADC_DOUT1]
set_property PACKAGE_PIN H14 [get_ports COM_ADC_SDIO]
set_property PACKAGE_PIN F13 [get_ports USB1_TXD_icm2]
set_property PACKAGE_PIN E13 [get_ports USB1_nRTS_icm2]
set_property PACKAGE_PIN M11 [get_ports USB1_RXD_icm2]
set_property PACKAGE_PIN M12 [get_ports USB1_nCTS_icm2]
#set_property PACKAGE_PIN H11 [get_ports FPGA_CLK_FBCK]
#set_property PACKAGE_PIN H12 [get_ports FPGA_CLK]
#
# bank 14, IOSTANDARD
set_property IOSTANDARD LVCMOS18 [get_ports D01_DIN]
set_property IOSTANDARD LVCMOS18 [get_ports D00_MOSI]
set_property IOSTANDARD LVCMOS18 [get_ports D03]
set_property IOSTANDARD LVCMOS18 [get_ports D02]
set_property IOSTANDARD LVCMOS18 [get_ports FLASH_CSn]
#set_property IOSTANDARD LVCMOS18 [get_ports on_GND]
#set_property IOSTANDARD LVCMOS18 [get_ports FPGA_GPIO_2]
#set_property IOSTANDARD LVCMOS18 [get_ports FPGA_GPIO_3]
#set_property IOSTANDARD LVCMOS18 [get_ports FPGA_GPIO_0]
set_property IOSTANDARD LVCMOS18 [get_ports WP_ADC_DOUT0]
set_property IOSTANDARD LVCMOS18 [get_ports ICM_IRIGB_LOC]
#set_property IOSTANDARD LVCMOS18 [get_ports FPGA_UART_TX]
set_property IOSTANDARD LVCMOS18 [get_ports WP_ADC_nCS1]
#set_property IOSTANDARD LVCMOS18 [get_ports FPGA_UART_RX]
set_property IOSTANDARD LVCMOS18 [get_ports WP_ADC_nCS0]
set_property IOSTANDARD DIFF_SSTL18_I [get_ports COM_ADC_CLK_N]
set_property IOSTANDARD DIFF_SSTL18_I [get_ports COM_ADC_CLK_P]
set_property IOSTANDARD LVCMOS18 [get_ports COM_ADC_CSBn]
set_property IOSTANDARD LVCMOS18 [get_ports COM_ADC_SCLK]
#set_property IOSTANDARD LVCMOS18[get_ports ]
#set_property IOSTANDARD LVCMOS18[get_ports ]
set_property IOSTANDARD DIFF_SSTL18_I [get_ports ICM_IRIGB_N]
set_property IOSTANDARD DIFF_SSTL18_I [get_ports ICM_IRIGB_P]
#set_property IOSTANDARD DIFF_SSTL18_I [get_ports ICM_CLOCK_N]
#set_property IOSTANDARD DIFF_SSTL18_I [get_ports ICM_CLOCK_P]
set_property IOSTANDARD DIFF_MOBILE_DDR [get_ports ICM_CLOCK_N]
set_property IOSTANDARD DIFF_MOBILE_DDR [get_ports ICM_CLOCK_P]
#
set_property IOSTANDARD LVCMOS18 [get_ports {COM_ADC_D[13]}]
set_property IOSTANDARD LVCMOS18 [get_ports {COM_ADC_D[11]}]
set_property IOSTANDARD LVCMOS18 [get_ports {COM_ADC_D[12]}]
set_property IOSTANDARD LVCMOS18 [get_ports {COM_ADC_D[10]}]
set_property IOSTANDARD LVCMOS18 [get_ports {COM_ADC_D[9]}]
set_property IOSTANDARD LVCMOS18 [get_ports {COM_ADC_D[8]}]
set_property IOSTANDARD LVCMOS18 [get_ports {COM_ADC_D[7]}]
set_property IOSTANDARD LVCMOS18 [get_ports {COM_ADC_D[5]}]
set_property IOSTANDARD LVCMOS18 [get_ports ICM_nMASTER]
set_property IOSTANDARD LVCMOS18 [get_ports {COM_ADC_D[0]}]
set_property IOSTANDARD LVCMOS18 [get_ports {COM_ADC_D[1]}]
set_property IOSTANDARD LVCMOS18 [get_ports WP_ADC_SCLK]
set_property IOSTANDARD LVCMOS18 [get_ports {COM_ADC_D[2]}]
set_property IOSTANDARD LVCMOS18 [get_ports {COM_ADC_D[4]}]
set_property IOSTANDARD LVCMOS18 [get_ports {COM_ADC_D[6]}]
set_property IOSTANDARD LVCMOS18 [get_ports {COM_ADC_D[3]}]
set_property IOSTANDARD LVCMOS18 [get_ports WP_ADC_DOUT1]
set_property IOSTANDARD LVCMOS18 [get_ports COM_ADC_SDIO]
set_property IOSTANDARD LVCMOS18 [get_ports USB1_TXD_icm2]
set_property IOSTANDARD LVCMOS18 [get_ports USB1_nRTS_icm2]
set_property IOSTANDARD LVCMOS18 [get_ports USB1_RXD_icm2]
set_property IOSTANDARD LVCMOS18 [get_ports USB1_nCTS_icm2]
set_property PULLUP     true     [get_ports USB1_TXD_icm2]
set_property PULLDOWN   true     [get_ports USB1_nRTS_icm2]
#set_property IOSTANDARD LVCMOS18 [get_ports FPGA_CLK_FBCK]
#set_property IOSTANDARD LVCMOS18 [get_ports FPGA_CLK]
#

set_operating_conditions -grade industrial
#set_load 5.000 [all_outputs]
#set_property LOAD 5 [get_ports COM_ADC_CLK_N]
#set_property LOAD 5 [get_ports COM_ADC_CLK_P]
#set_property LOAD 5 [get_ports COM_ADC_CSBn]
#set_property LOAD 5 [get_ports COM_ADC_SCLK]
#set_property LOAD 5 [get_ports COM_ADC_SDIO]
#set_property LOAD 5 [get_ports COM_DAC_CLOCK]
#set_property LOAD 5 [get_ports {COM_DAC_DB[0]}]
#set_property LOAD 5 [get_ports {COM_DAC_DB[10]}]
#set_property LOAD 5 [get_ports {COM_DAC_DB[11]}]
#set_property LOAD 5 [get_ports {COM_DAC_DB[1]}]
#set_property LOAD 5 [get_ports {COM_DAC_DB[2]}]
#set_property LOAD 5 [get_ports {COM_DAC_DB[3]}]
#set_property LOAD 5 [get_ports {COM_DAC_DB[4]}]
#set_property LOAD 5 [get_ports {COM_DAC_DB[5]}]
#set_property LOAD 5 [get_ports {COM_DAC_DB[6]}]
#set_property LOAD 5 [get_ports {COM_DAC_DB[7]}]
#set_property LOAD 5 [get_ports {COM_DAC_DB[8]}]
#set_property LOAD 5 [get_ports {COM_DAC_DB[9]}]
#set_property LOAD 5 [get_ports COM_DAC_SLEEP]
#set_property LOAD 5 [get_ports FPGA_CLK]
#set_property LOAD 5 [get_ports ICM_CLOCK_N]
#set_property LOAD 5 [get_ports ICM_CLOCK_P]
#set_property LOAD 5 [get_ports ICM_IRIGB_N]
#set_property LOAD 5 [get_ports ICM_IRIGB_P]
#set_property LOAD 5 [get_ports WP_ADC_nCS1]
#set_property LOAD 5 [get_ports FPGA_UART_RX]
#set_property LOAD 5 [get_ports ICM_ID]
#set_property LOAD 5 [get_ports ZYNQ_RXD]
#set_property LOAD 5 [get_ports ZYNQ_CTS]
#set_property LOAD 5 [get_ports ZYNQ_TXD]
#set_property LOAD 5 [get_ports ZYNQ_RTS]
#set_property LOAD 5 [get_ports WP_nPON]
#set_property LOAD 5 [get_ports USB1_RXD_icm2]
#set_property LOAD 5 [get_ports USB1_nCTS_icm2]
#set_property LOAD 5 [get_ports USB1_TXD_icm2]
#set_property LOAD 5 [get_ports USB1_nRTS_icm2]
#set_property LOAD 5 [get_ports ICM_EXT_GPIN]
#set_property LOAD 5 [get_ports QOSC_SCL]
#set_property LOAD 5 [get_ports QOSC_SDA]
#set_property LOAD 5 [get_ports WP_ADC_DOUT0]
#set_property LOAD 5 [get_ports STM_USART_CTS]
#set_property LOAD 5 [get_ports WP_ADC_SCLK]
#set_property LOAD 5 [get_ports TERM_FPGA]
#set_property LOAD 5 [get_ports TEST_IO_3]
#set_property LOAD 5 [get_ports USB_CTSn]
#set_property LOAD 5 [get_ports USB_RESETn]
#set_property LOAD 5 [get_ports USB_RXD]
#set_property LOAD 5 [get_ports nLED_ENA]
#set_property LOAD 5 [get_ports nRX_LED]
#set_property LOAD 5 [get_ports nTX_LED]
set_operating_conditions -ambient_temp -25.0
set_operating_conditions -board_layers 8to11
set_switching_activity -default_toggle_rate 25.000


set_property BITSTREAM.GENERAL.XADCPOWERDOWN ENABLE [current_design]
set_property BITSTREAM.GENERAL.JTAG_XADC STATUSONLY [current_design]
set_property BITSTREAM.CONFIG.CONFIGRATE 66 [current_design]
set_property CONFIG_MODE SPIx4 [current_design]

set_property PULLUP true [get_ports nCBL_PLGD]
set_property PULLUP true [get_ports ICM_nMASTER]
